Datasets
Get snapshots belonging to dataset
Get Snapshots belonging to a dataset. Requires List access to the dataset
GET
/
api
/
datasetrw
/
v1
/
datasets
/
{datasetId}
/
snapshots
Get snapshots belonging to dataset
curl --request GET \
--url https://mycluster.domino.tech/api/datasetrw/v1/datasets/{datasetId}/snapshots \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/datasetrw/v1/datasets/{datasetId}/snapshots"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/datasetrw/v1/datasets/{datasetId}/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
},
"snapshots": [
{
"createdAt": "2022-03-12T02:13:44.467Z",
"datasetId": "<string>",
"id": "<string>",
"status": "active",
"creatorId": "<string>",
"description": "<string>",
"lastMounted": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
ID of dataset to retrieve snapshots for
Query Parameters
How many Snapshots from the start to skip. Defaults to 0.
Max number of Snapshots to fetch. Defaults to 10.
Last modified on September 3, 2026
Was this page helpful?
⌘I
Get snapshots belonging to dataset
